const GROUPMEAL_URI = require("../config.js").GROUPMEAL_URI;
const req = require("../utils/request").httpReq;

// 获取主页配送列表
exports.getList = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/list_day_deliverer_conf`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 获取配送列表
exports.getDelivererList = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/list_day_deliverer`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 添加骑手
exports.getAddDeliverer = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/add_deliverer`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 分配骑手
exports.getSaveDeliverer = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/save_day_deliverer`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 下载配送路线 -lh
exports.getDeliveryRoutes = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/build_plan`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};
// 查看下载配送路线记录 -lh
exports.getEmailRecords = async (ctx) => {
    const opts = {
        url: `${GROUPMEAL_URI}/order/deliverer/plan_down_log`,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 老订单管理

// 获取订单管理列表
exports.getOrderList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取活动名称
exports.getMarketingList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/marketing_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取商品名称
exports.getGoodsList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/goods_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取自提点
exports.getSubShopList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/sub_shop_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 导出订单
exports.orderExport = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_export`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 打印订单
exports.orderPrint = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_print`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 订单退款列表
exports.orderItemList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_item_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 订单退款列表
exports.orderRefund = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_refund`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 订单驳回
exports.orderRefundReject = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/oldbackground/order_refund_reject`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 新订单管理

// 获取订单管理列表
exports.newGetOrderList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取活动名称
exports.newGetMarketingList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_condition_marketing_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取商品名称
exports.newGetGoodsList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_condition_goods_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 获取自提点
exports.newGetSubShopList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_condition_take_place_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 导出订单
exports.newOrderExport = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_export`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 打印订单
exports.newOrderPrint = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_print`;
    const opts = {
        url,
        method: "GET",
        timeout: 30000,
    };
    ctx.body = await req(ctx, opts);
};

// 订单退款列表
exports.newOrderItemList = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_item_list`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};

// 订单退款列表
exports.newOrderRefund = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_refund`;
    const opts = {
        url,
        method: "POST",
        json: true,
        body: ctx.request.body,
    };
    ctx.body = await req(ctx, opts);
};

// 订单驳回
exports.newOrderRefundReject = async (ctx) => {
    const url = `${GROUPMEAL_URI}/order/background/order_refund_reject`;
    const opts = {
        url,
        method: "GET",
    };
    ctx.body = await req(ctx, opts);
};
